tvbrowser.extras.favoritesplugin.core

## Class TitleFavorite

- java.lang.Object
- - tvbrowser.extras.favoritesplugin.core.Favorite
  - - tvbrowser.extras.favoritesplugin.core.TitleFavorite

-     public class TitleFavorite
      extends Favorite

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `(package private) class` | `TitleFavorite.Configurator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TYPE_ID`

    - ### Fields inherited from class tvbrowser.extras.favoritesplugin.core.Favorite

      `mSearchFormSettings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TitleFavorite(java.io.ObjectInputStream in)`
    `TitleFavorite(java.lang.String programTitle)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FavoriteConfigurator` | `createConfigurator()`
    `java.lang.String` | `getProgramTitle()`
    `java.lang.String` | `getTypeID()`
    `protected void` | `internalWriteData(java.io.ObjectOutputStream out)`
    `boolean` | `isValidSearch()`

    - ### Methods inherited from class tvbrowser.extras.favoritesplugin.core.Favorite

      `accept, addExclusion, addToBlackList, clearNewPrograms, clearRemovedPrograms, contains, containsReceiveTarget, getBlackListPrograms, getChannels, getExclusions, getFilterKey, getForwardPlugins, getLimitationConfiguration, getName, getNewPrograms, getPrograms, getReminderConfiguration, getSearcher, getWhiteListPrograms, getWhiteListPrograms, handleContainingPrograms, handleNewGlobalReceiveTargets, hasFilterForKey, internalSearchForPrograms, isOnBlackList, isProvidingFilter, isRemindAfterDownload, matches, refreshBlackList, refreshPrograms, removeExclusion, removeFromBlackList, removeProgram, reValidateChannelLimitation, revalidatePrograms, searchNewPrograms, setExclusions, setForwardPlugins, setName, setProvideFilter, setRemindAfterDownload, tryToMatch, updatePrograms, updatePrograms, updatePrograms, writeData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_ID

          public static final java.lang.String TYPE_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TitleFavorite

          public TitleFavorite(java.io.ObjectInputStream in)
                        throws java.io.IOException,
                               java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### TitleFavorite

          public TitleFavorite(java.lang.String programTitle)

  - ### Method Detail

    - #### getTypeID

          public java.lang.String getTypeID()

      Specified by:
        `getTypeID` in class `Favorite`

    - #### getProgramTitle

          public java.lang.String getProgramTitle()

    - #### createConfigurator

          public FavoriteConfigurator createConfigurator()

      Specified by:
        `createConfigurator` in class `Favorite`

    - #### internalWriteData

          protected void internalWriteData(java.io.ObjectOutputStream out)
                                    throws java.io.IOException

      Specified by:
        `internalWriteData` in class `Favorite`
      Throws:
        `java.io.IOException`

    - #### isValidSearch

          public boolean isValidSearch()

      Specified by:
        `isValidSearch` in class `Favorite`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)